U1=200; F0=0.183; R=0.96; Td=5.5e-3; Tq=0.8*Td; p=4; Ld=5.25e-3;Lq=0.8*Ld;
Tf=0;
w=0:10:800; wm=w./p;
Id=(U1*sin(2*w.*Tf)+w.*Td.*(U1*cos(2*w.*Tf)-w.*F0))./(R*(1+Td*Tq*(w.^2)));
Iq=(U1*cos(2*w.*Tf)-w.*F0-w.*Tq.*U1.*sin(2*w.*Tf))./(R*(1+Td*Tq*(w.^2)));
M=1.5*p*F0*Iq;
m=1.5*p*(Ld-Lq)*Id.*Iq;
Moment=M+m;
I1=sqrt(Id.^2+Iq.^2);

Tf1=0.2*Td;
w1=0:10:280; wm1=w1./p;
Id1=(U1*sin(2*w1.*Tf1)+w1.*Td.*(U1*cos(2*w1.*Tf1)-w1.*F0))./(R*(1+Td*Tq*(w1.^2)));
Iq1=(U1*cos(2*w1.*Tf1)-w1.*F0-w1.*Tq.*U1.*sin(2*w1.*Tf1))./(R*(1+Td*Tq*(w1.^2)));
M1=1.5*p*F0*Iq1;
m1=1.5*p*(Ld-Lq)*Id1.*Iq1;
Moment1=M1+m1;
I11=sqrt(Id1.^2+Iq1.^2);

Tf2=0.4*Td;
w2=0:10:195; wm2=w2./p;
Id2=(U1*sin(2*w2.*Tf2)+w2.*Td.*(U1*cos(2*w2.*Tf2)-w2.*F0))./(R*(1+Td*Tq*(w2.^2)));
Iq2=(U1*cos(2*w2.*Tf2)-w2.*F0-w2.*Tq.*U1.*sin(2*w2.*Tf2))./(R*(1+Td*Tq*(w2.^2)));
M2=1.5*p*F0*Iq2;
m2=1.5*p*(Ld-Lq)*Id2.*Iq2;
Moment2=M2+m2;
I12=sqrt(Id2.^2+Iq2.^2);

plot(Moment,Id,Moment,Iq);
hold on
plot(Moment1,Id1,Moment1,Iq1);
plot(Moment2,Id2,Moment2,Iq2);
hold off
text(55,225,'U1=200V, Td=5.5ms,Tq=0.8Td');
text(70,65,'Tf=0');
text(160,120,'Tf=0.2Td');
text(260,135,'Tf=0.4Td');
text(220,25,'Id=f(M)');
text(260,210,'Iq=f(M)');
grid on;
ylabel('Current Id,Iq (A) ');
xlabel('Moment(Nm)');